%define subrel 1

%define __python %{__python3}

#Turn off the brp-python-bytecompile script as it use by default python2
%define __brp_python_bytecompile %{nil}

Name:		msec
Version:	2.9
Release:	%mkrel 1
Summary:	Security Level management Linux distributions
License:	GPLv2+
Group:		System/Base
Url:		http://gitweb.mageia.org/software/msec/
Source0:	http://gitweb.mageia.org/software/msec/snapshot/%{name}-%{version}.tar.xz
Patch1:		msec-2.6-fix_tmout.patch
Patch2:		msec-2.6-fix_deprecated.patch
Requires:	perl-base
Requires:	diffutils
Requires:	gawk
Requires:	coreutils
Requires:	iproute2
Requires:	setup
Requires:	chkconfig
Requires:	mailx
Requires:	python3
Requires:	gettext
Recommends:	sectool
# at least xargs is used
Requires:	findutils
# ensure sysctl.conf and inittab are present before installing msec
Requires(post):	initscripts

Requires(pre):		rpm-helper >= 0.4
Requires(postun):	rpm-helper >= 0.4

# using s2u for desktop notifications
# it should be pulled by xinit to reduce basesystem size
# Suggests:	s2u >= 0.9

Conflicts:	passwd < 0.67
BuildRequires:	python3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
The Security package is designed to provide security features to Linux users.
It allows to select from a set of preconfigured security levels, and supports
custom permission settings, user-specified levels, and several security
utilities. This packages includes main msec application and several programs
that will be run periodically in order to test the security of your system and
alert you if needed.

%package gui
Summary:	Graphical msec interface
Group:		System/Configuration
Requires:	python3-gobject3
Requires:	msec
Requires:	drakconf-icons

%description gui
The Security package is designed to provide security features to the Linux
users. It allows to select from a set of preconfigured security levels, and also
supports custom permission settings, user-specified levels, and several security
utilities. This packages includes graphical interface to control and tune msec
permissions.


%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
%make_install

mkdir -p %{buildroot}/%{_sysconfdir}/{logrotate.d,profile.d}
touch %{buildroot}/var/log/security.log
touch %{buildroot}/etc/security/msec/security.conf
touch %{buildroot}/etc/security/msec/perms.conf
# init script
install -d %{buildroot}/%{_initrddir}
install -m755 %{_builddir}/%{name}-%{version}/msec.init %{buildroot}/%{_initrddir}/%{name}
mkdir -p %{buildroot}/etc/X11/xinit.d
cat > %{buildroot}/etc/X11/xinit.d/msec <<EOF
#!/usr/bin/sh
# to be sourced
EOF

%py_byte_compile %{__python3} %{buildroot}%{_datadir}/msec

%find_lang %name --with-man

%pre
%_pre_groupadd xgrp
%_pre_groupadd ntools
%_pre_groupadd ctools

%preun
%_preun_service msec

%post
%_post_service msec

touch /var/log/security.log

if [ $1 != 1 ]; then
        # since 0.80.3, msec has its own upgrade script, which handles upgrades from previous versions
        /usr/share/msec/upgrade.sh
fi

# creating default configuration if not installed by installer
if [ "$DURING_INSTALL" != "1" ]; then
	if [ ! -s /etc/security/msec/security.conf ]; then
		# creating default level configuration
		cp -f /etc/security/msec/level.standard /etc/security/msec/security.conf
	fi

	if [ ! -s /etc/security/msec/perms.conf ]; then
		# creating default level configuration
		cp -f /etc/security/msec/perm.standard /etc/security/msec/perms.conf
	fi
fi

%postun

if [ $1 = 0 ]; then
	# cleanup crontabs on package removal
	rm -f /etc/cron.*/msec
fi

%_postun_groupdel xgrp
%_postun_groupdel ntools
%_postun_groupdel ctools

%files -f %{name}.lang
%doc AUTHORS COPYING README*
%doc ChangeLog doc/*.txt
%_bindir/promisc_check
%_bindir/msec_find
%{_initrddir}/%{name}
%_sbindir/msec
%_sbindir/msecperms
%dir %_datadir/msec
%_datadir/msec/msec.py*
%_datadir/msec/config.py*
%_datadir/msec/libmsec.py*
%_datadir/msec/msecperms.py*
%_datadir/msec/tools.py*
%_datadir/msec/version.py*
%_datadir/msec/*.sh
%_datadir/msec/plugins/
%_datadir/msec/scripts/
%_datadir/msec/__pycache__/
%_mandir/*/*.*
%dir %_var/log/security
%dir %_sysconfdir/security/msec
%config %_sysconfdir/security/msec/level.*
%config %_sysconfdir/security/msec/perm.*
%config %_sysconfdir/security/msec/server.*
%config(noreplace) %_sysconfdir/security/msec/security.conf
%config(noreplace) %_sysconfdir/security/msec/perms.conf
%config(noreplace) %_sysconfdir/logrotate.d/msec
%_sysconfdir/profile.d/*msec*

%config %attr(0755,root,root) %_sysconfdir/X11/xinit.d/msec

%ghost %_var/log/security.log
%ghost %_var/log/msec.log

%files gui
%_sbindir/msecgui
%_datadir/msec/msecgui.py*
%_datadir/msec/help.py*
%_datadir/msec/msec.png
